Subject: Re: bug#5040: 23.1; w32-register-hot-key problem

From: Lennart Borgman <[email-masked]>
Date: Sat, 2 Jul 2011 16:37:56 +0200

On Sat, Jul 2, 2011 at 16:16, Drew Adams <[email-masked]> wrote:
>
> That MS Windows "reserves" something is not in itself (i.e., alone) a reason
> that Emacs should respect that "reservation".  There is nothing new about MS
> Windows using M-TAB, and nothing new about Emacs using M-TAB.
>
> And to use it in Emacs, Windows users must explicitly do (w32-register-hot-key
> [M-tab]).  That's a user choice, not Emacs's choice or Windows's choice.

MS has warned not to use this combination and some other. It might be
possible to sometimes get around this technically but that is not
guaranteed.

As I think I have told in a bug report I have seen more problems in
this area in Windows 7 than before.

In addition to this I have seen some very strange things in this area
in Windows 7 (64-bit) when running 32-bit Emacs. However I suspect
that might be problems with gcc compiler. (And the lack of control of
status after system calls on w32 in Emacs. Something that makes it
hard to catch problems of the type I have seen now. At the moment I
have not time to look at it. Sadly I do not have time to argue about
adding these checks either, but I would be glad if they were added.)